Create template
curl --request POST \
--url https://www.dench.com/api/v1/email/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Intro outreach",
"subject": "Hi {{firstName}}",
"htmlBody": "<p>Hi {{firstName}}, saw your work at {{company}}.</p>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Intro outreach',
subject: 'Hi {{firstName}}',
htmlBody: '<p>Hi {{firstName}}, saw your work at {{company}}.</p>'
})
};
fetch('https://www.dench.com/api/v1/email/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/email/templates"
payload = {
"name": "Intro outreach",
"subject": "Hi {{firstName}}",
"htmlBody": "<p>Hi {{firstName}}, saw your work at {{company}}.</p>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"templateId": "etpl_abc123"
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}email
Create template
Create a managed email campaign template.
POST
/
email
/
templates
Create template
curl --request POST \
--url https://www.dench.com/api/v1/email/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Intro outreach",
"subject": "Hi {{firstName}}",
"htmlBody": "<p>Hi {{firstName}}, saw your work at {{company}}.</p>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Intro outreach',
subject: 'Hi {{firstName}}',
htmlBody: '<p>Hi {{firstName}}, saw your work at {{company}}.</p>'
})
};
fetch('https://www.dench.com/api/v1/email/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/email/templates"
payload = {
"name": "Intro outreach",
"subject": "Hi {{firstName}}",
"htmlBody": "<p>Hi {{firstName}}, saw your work at {{company}}.</p>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"templateId": "etpl_abc123"
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
DenchApiKeyAgentSession
Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.
Body
application/json
Response
Successful response